# $Revision: 1.51 $, $Date: 2011/10/07 10:30:40 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-RSA
Summary:	Crypt::OpenSSL::RSA - RSA encoding and decoding, using the OpenSSL libraries
Summary(pl.UTF-8):	Crypt::OpenSSL::RSA - kodowanie i dekodowanie RSA przy użyciu OpenSSL
Name:		perl-Crypt-OpenSSL-RSA
Version:	0.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	86217a5036fc63779c30420b5fd84129
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-RSA/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-Random
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which
are somewhat shorter than the block size of a key.  It also allows for
decryption, signatures and signature verification.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::RSA udostępnia możliwość kodowania algorytmem
RSA łańcuchów, które są krótsze niż rozmiar bloku klucza. Pozwala
także na odszyfrowywanie oraz weryfikację podpisów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/RSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.al
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.bs
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-OpenSSL-RSA.spec,v $
Revision 1.51  2011/10/07 10:30:40  lisu
- updated to 0.28

Revision 1.50  2011/10/07 10:17:45  lisu
- rel 8

Revision 1.49  2010/11/12 23:38:22  pawelz
- release 7

Revision 1.48  2010/06/06 08:33:23  arekm
- release 6

Revision 1.47  2010/04/12 19:28:58  arekm
- release 5

Revision 1.46  2009/03/14 11:34:16  hawk
- release 4

Revision 1.45  2008/03/02 17:31:12  radek
- release 3

Revision 1.44  2008-02-10 12:04:39  arekm
- rel 2

Revision 1.43  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.42  2007-12-24 11:50:21  qboosh
- generic URL

Revision 1.41  2007-12-23 22:56:28  zbyniu
- up to 0.25

Revision 1.40  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.38  2006/05/25 09:25:42  blaass
- updated to 0.23, removed old patch, rel up

Revision 1.37  2006/04/09 20:28:51  qboosh
- added includes patch, now builds on openssl 0.9.8

Revision 1.36  2006/04/07 20:26:52  agaran
- up to 0.22 rel 1 builds here

Revision 1.35  2004/11/03 22:30:13  paladine
- formatting

Revision 1.34  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.33  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.31  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.30  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.29  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.28  2004/03/06 22:29:44  adamg
- updated to 0.21

Revision 1.27  2003/09/30 20:18:29  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.26  2003/08/18 08:08:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/06/11 22:29:45  misi3k
- updated to 0.19

Revision 1.24  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.21  2003/03/13 00:01:55  ankry
- merge from RA-branch: updated to 0.18

Revision 1.20  2003/03/01 18:46:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:29:22  ankry
- massive attack: change CPAN URLs

Revision 1.17  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.16  2003/02/05 16:17:39  ankry
- autoupdated to 0.17

Revision 1.15  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.14  2002/08/11 18:12:17  radek
- conditional tests

Revision 1.13  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.12  2002/07/20 10:18:14  qboosh
- added OPTIMIZE and BR: perl-Crypt-OpenSSL-Random

Revision 1.11  2002/07/19 23:12:37  ankry
- version 0.16, release 1
- moved */Crypt/OpenSSL dirs to perl
- restore autosplit.ix

Revision 1.10  2002/07/19 21:11:31  ankry
- translations, cleaning
- removed *.ix, fixed permissions
- release 2

Revision 1.9  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.8  2002/07/11 07:58:12  depesz
- new version; should work; STBR

Revision 1.7  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.6  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.5  2002/03/08 01:49:05  kloczek
- s/perl/perl-devel/ in BuildRequires,
- use %%{perl_sitearch} macro in files,
- updated %%files,
- added openssl-devel to BuildRequires.

Revision 1.4  2002/03/07 22:00:29  grzegorz
- grrrr!!! kloczek check before bumping rel to 1
- reverting almost all kloczek changes

Revision 1.3  2002/03/07 18:41:41  kloczek
- fixed %%files and cosmetics.

Revision 1.2  2002/03/07 14:11:39  grzegorz
- adapterized
